.pxlbrowser {
  @arrangement : 99998;
  @width       : 500px;
  @small-width : 50px;


  .control-sidebar {
    transition       : right 0.5s;
    position         : absolute;
    top              : 0;
    bottom           : 0;
    background-color : #373d47;
    width            : @width;
    text-align       : left;
    z-index          : @arrangement;

    &.sidebar-small {
      right : -(@width - @small-width);
    }

    &.sidebar-large {
      right : 0px;
    }

    // additional wrapper to make sidebar scrollable
    .wrapper-control {
      position   : absolute;
      top        : 0;
      left       : 0;
      width      : 100%;
      height     : 100%;
      overflow-y : auto;



      .toggle-button {
        width            : 100%;
        position         : fixed;
        z-index          : @arrangement + 2;
        background-color : #373d47;
        ul {
          width      : 50px;
          cursor     : pointer;
          list-style : none;
          margin     : 0;
          padding    : 0;
          li {
            display          : block;
            position         : relative;
            padding          : 8px 0 8px 20px;
            background-color : #474d57;
            color            : #fff;
            &:hover {
              background-color : #474d57;
              color            : #fff;
            }
          }
        }
      }
      .items {
        z-index : @arrangement + 1;
        margin  : 35px 0 35px 0;
        ul {
          list-style : none;
          margin     : 0;
          padding    : 0;
          li {
            display   : block;
            position  : relative;
            margin    : 0px;
            padding   : 0px;
            color     : #979da7;
            &.details-hide {
              .wrapper-details {
                display    : none;
                visibility : hidden;
                height     : 0px;
              }
            }
            &.details-show {
              .wrapper-details {
                display    : inline-block;
                visibility : visible;
                height     : auto;
              }
            }

            &.active {
              .trigger {
                color            : #fff;
                background-color : #24272d;
              }
            }

            .trigger {
              padding   : 8px 0 8px 0px;
              &:hover {
                color            : #fff;
                background-color : #24272d;
                .popover {
                  color: #333;
                }
              }
              .popover {
                color: #333 !important;
                &:hover {
                  color : #333 !important;
                }
              }
              .item-icon {
                display : inline-block;
                padding : 0 0 0 20px;
                width   : 50px;
                cursor  : pointer;
              }
              .description {
                padding : 0;
                cursor  : pointer;
              }
              .toggle-down {
                padding : 0 0 0 8px;
                cursor  : pointer;
              }
            }

            // details
            .wrapper-details {
              margin: 5px 0 5px 50px;
            }
            // colors
            .wrapper-colors {
              .radio {
                i {
                  margin-left: 8px;
                }
              }
            }
            // cuts
            .wrapper-cuts {
              margin: 10px 0 10px 0;
              // slider stuff
              .wrapper-slider {
                margin: 45px 0 45px 0px;
                .label-slider {
                  float: left;
                  width: 30px;
                }
                .slider .tooltip.top {
                    margin-top: -30px !important;
                }
                .slider.slider-horizontal {
                  width : 310px;
                  .tooltip-arrow {
                    border-top-color : #fff !important;
                  }
                  .tooltip-inner {
                    background-color : #fff !important;
                    color            : #000 !important;
                  }
                }
                .slider.slider-horizontal .slider-track{
                  margin-left : 15px;
                  width       : 280px;
                }
                .slider.slider-horizontal .slider-tick, .slider.slider-horizontal .slider-handle {
                  margin-top : -2px !important;
                }
                .slider-handle {
                  position: absolute !important;
                  width   : 14px !important;
                  height  : 14px !important;
                }
                .slider-selection {
                  position: absolute;
                  background-image: -webkit-linear-gradient(top, #f9f9f9 0%, #f5f5f5 100%);
                  background-image: -o-linear-gradient(top, #f9f9f9 0%, #f5f5f5 100%);
                  background-image: linear-gradient(to bottom, #EDECEC 0%, #D8D5D5 100%);
                }
              }

            }









          }
        }
      }

    }










  }

}
